package com.ruoyi.system.domain;

import com.ruoyi.mxjb.domain.MxjbContants;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 个人资源库对象 test_person_resources
 * 
 * @author mingxue
 * @date 2021-06-03
 */
public class PersonResources extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Integer aliIdType = MxjbContants.Ali_Id_resource_person;

    private String createName;
    /** 资源ID */
    private Long resourcesId;

    /** 资源名称 */
    @Excel(name = "资源名称")
    private String resourcesName;

    /** 资源标识 */
    private String sourceId;
    private List<String> sourceIds;

    /** 资源类型 */
    @Excel(name = "资源类型")
    private Long type;

    /** 资源分类 */
    @Excel(name = "资源分类")
    private String category;

    /** 省 */
    @Excel(name = "省")
    private Long province;

    /** 知识点ID */
    @Excel(name = "知识点ID")
    private Long knowledgeBasicId;

    /** 市 */
    @Excel(name = "市")
    private Long city;

    /** 县 */
    @Excel(name = "县")
    private Long county;

    /** 连接方式1 同步章节 2 知识点 */
    @Excel(name = "连接方式1 同步章节 2 知识点")
    private String linkWay;

    /** 章节 */
    @Excel(name = "章节")
    private Long chapterId;

    /** 章节 */
    @Excel(name = "版本")
    private Integer edition;

    /** 资源路径 */
    @Excel(name = "资源路径")
    private String resourcesUrl;

    /** 学校ID */
    @Excel(name = "学校ID")
    private Long schoolId;

    /** 学册 */
    @Excel(name = "学册")
    private Long bookId;

    /** 创建者Id */
    private Long createId;

    /** 科目 */
    @Excel(name = "科目")
    private Long subjectId;

    /** 是否删除 */
    private String delFlag;

    /** 资源大小 单位M */
    @Excel(name = "资源大小 单位M")
    private Float fileSize;

    public List<String> getSourceIds() {
        return sourceIds;
    }

    public void setSourceIds(List<String> sourceIds) {
        this.sourceIds = sourceIds;
    }

    /**
     * 阿里云vod的videoId
     */
    private String videoId;

    private Integer coursewareType;

    public Integer getCoursewareType() {
        return coursewareType;
    }

    public void setCoursewareType(Integer coursewareType) {
        this.coursewareType = coursewareType;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }


    public void setResourcesId(Long resourcesId)
    {
        this.resourcesId = resourcesId;
    }

    public Long getResourcesId()
    {
        return resourcesId;
    }
    public void setResourcesName(String resourcesName)
    {
        this.resourcesName = resourcesName;
    }

    public String getResourcesName()
    {
        return resourcesName;
    }
    public void setSourceId(String sourceId)
    {
        this.sourceId = sourceId;
    }

    public String getSourceId()
    {
        return sourceId;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setProvince(Long province)
    {
        this.province = province;
    }

    public Long getProvince()
    {
        return province;
    }
    public void setKnowledgeBasicId(Long knowledgeBasicId)
    {
        this.knowledgeBasicId = knowledgeBasicId;
    }

    public Long getKnowledgeBasicId()
    {
        return knowledgeBasicId;
    }
    public void setCity(Long city)
    {
        this.city = city;
    }

    public Long getCity()
    {
        return city;
    }
    public void setCounty(Long county)
    {
        this.county = county;
    }

    public Long getCounty()
    {
        return county;
    }
    public void setLinkWay(String linkWay)
    {
        this.linkWay = linkWay;
    }

    public String getLinkWay()
    {
        return linkWay;
    }
    public void setChapterId(Long chapterId)
    {
        this.chapterId = chapterId;
    }

    public Long getChapterId()
    {
        return chapterId;
    }
    public void setResourcesUrl(String resourcesUrl)
    {
        this.resourcesUrl = resourcesUrl;
    }

    public String getResourcesUrl()
    {
        return resourcesUrl;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setBookId(Long bookId)
    {
        this.bookId = bookId;
    }

    public Long getBookId()
    {
        return bookId;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setFileSize(Float fileSize)
    {
        this.fileSize = fileSize;
    }

    public Float getFileSize()
    {
        return fileSize;
    }

    public Integer getEdition() {
        return edition;
    }

    public void setEdition(Integer edition) {
        this.edition = edition;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("resourcesId", getResourcesId())
                .append("resourcesName", getResourcesName())
                .append("sourceId", getSourceId())
                .append("type", getType())
                .append("category", getCategory())
                .append("province", getProvince())
                .append("knowledgeBasicId", getKnowledgeBasicId())
                .append("city", getCity())
                .append("county", getCounty())
                .append("linkWay", getLinkWay())
                .append("chapterId", getChapterId())
                .append("edition", getEdition())
                .append("resourcesUrl", getResourcesUrl())
                .append("schoolId", getSchoolId())
                .append("bookId", getBookId())
                .append("subjectId", getSubjectId())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("remark", getRemark())
                .append("fileSize", getFileSize())
                .append("videoId", getVideoId())
                .toString();
    }

    public String getVideoId() {
        return videoId;
    }

    public void setVideoId(String videoId) {
        this.videoId = videoId;
    }


    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Integer getAliIdType() {
        return aliIdType;
    }

    public void setAliIdType(Integer aliIdType) {
        this.aliIdType = aliIdType;
    }
}
